HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

OneView-POSH compatibility

 
SOLVED
Go to solution
Highlighted
Advisor

OneView-POSH compatibility

Hi,

I'm unable to find it in the OneView-PoSH documentation (https://hpe-docs.gitbook.io/posh-hponeview/), but are the modules backward compatible?

We're currently running multiple versions of OneView in our environment and I'm wondering of different module versions are needed for each release? E.g. can I use the OneView.500 PoSH release for the 5.0, 4.2 and 4.1 versions of OneView appliances and composers?

If not, is there an easy way to use the correct module when connecting to an appliance?

Regards,
Martien

Regards,
Martien
2 REPLIES 2
Highlighted
HPE Pro
Solution

Re: OneView-POSH compatibility

The docs page, on Table 1, states what the requirements are.

Annotation 2020-05-11 101048.png

Each OneView PowerShell Library supports at minimum the version of HPE OneView appliance.  So that means the HPE OneView 5.00 PowerShell Library supports at minimum HPE OneView 5.00.  So, if you have multiple appliance versions, you will need to figure out which library to use.  Yes, you could use the HPE OneView 4.10 PowerShell library for all appliances.  But you will be locked into the features supported by that library.  Please also know that you will need to load the module into their own console session.  It currently is not supported to switch between different library versions within the same PowerShell console.  This is due to a limitation in PowerShell runspace and how .Net classes are kept within the runspace until the console is closed.


I am an HPE employee

Accept or Kudo

Highlighted
Advisor

Re: OneView-POSH compatibility

Thanks Chris,

The heads-up about the limitations of using the older versions is a good one. We'll have to use the lowest common denominator in our environment and our dev's need to take that into account for now.

Upgrading OneView versions is on the agenda, but takes some time to fullfill dependencies in our environment :).

Martien

Regards,
Martien